Bun
Bun
@bun.sh
Bun is a fast, all-in-one toolkit for installing, bundling, running and testing JavaScript & TypeScript. To install Bun: ``` curl https://bun.sh/install | bash -s ``` https://bun.sh
3.6K followers1 following52 posts
Bun v1.2.15 - Fixes 11 issues (addressing 261 ๐) - `bun audit` scans for vulnerabilities - `bun pm view <pkg>` - `bun init` adds a Cursor rule - `bun ./index.html` gets "Automatic workspace folders" edit files in browser - Fixes for vm & worker_threads bun.sh/blog/bun-v1....
Bun v1.2.14 - Fixes 39 issues (addressing 179 ๐) - Catalogs in bun install simplify sharing dependency versions in monorepos - Fixes HTTPS proxy issue impacting OpenAI Codex - zstd + fetch - Several Node compatibility bugfixes Thanks to 13 contributors! bun.sh/blog/bun-v1....
Bun v1.2.12 - Echo browser console logs to terminal - Reduced memory usage for frontend hmr with Bun.serve() - Node.js compatibility fixes for `timers`, `vm`, `net`, and `http` - bugfix for global postinstalls impacting Claude Code thx 10 contributors! bun.sh/blog/bun-v1....
In the next version of Bun & Safari Polymorphic array access gets up to 8x faster, thanks to @yusukesuzuki.bsky.social
Bun v1.2.6 - Fixes 74 bugs (addressing 36 ๐) - node:crypto gets faster & more Node.js compatible - Faster fastify & express - `timeout` in Bun.spawn - Dev Server stability fixes - Bun.SQL unix domain sockets Thanks to 23 contributors! bun.sh/blog/bun-v1....
Bun v1.2.5 - Fixes 75 bugs (addressing 162 ๐) +69 passing tests from Node.js - Frontend Dev Server fixes, CSS Modules support - Full rewrite of N-API (napi addons) - Faster Sign, Verify, Hash, Hmac from node:crypto Thanks to 25 contributors! bun.sh/blog/bun-v1....
Bun reposted
built a @turbo.build template with a shared @tailwindcss.com v4 config, @biomejs.dev for linting & formatting, and powered by @bun.sh Check it out: github.com/shutock/twur...
Bun v1.2.4 - Frontend dev server stability improvements - Codesign compiled executables on macOS - Up to 60% faster `bun build` on macOS - Node.js compatibility fixes - Faster array.includes - Many bugfixes Thanks to 17 contributors! bun.sh/blog/bun-v1....
Bun v1.2.3 - Fixes 128 bugs (addressing 349 ๐) - Incredibly fast frontend dev server with hot reloading - Builtin routes in Bun.serve - Many Bun.SQL fixes - Wasm gets faster - Node compatibility improvements for napi & Buffer Thanks to 23 contributors! bun.sh/blog/release...
Bun reposted
And done! Try exporting your Paper docs with my new tool: www.npmjs.com/package/drop...
Hmm, looks like Dropbox just upgraded me to a new API version, exciting! But it apparently also means I can't bulk-export my Dropbox Paper docs anymore!? And now have to export all of my hundreds of docs, one at a time!?! Welp, I guess it's time to write a bulk-doc-exporter tool.
Bun reposted
@bun.sh is gunning for @vite.dev! youtu.be/NvitRPQqaSs Now it can serve HTML files right off the command line, and it even supports API routes!
Bun v1.2.2 - Fixes 38 bugs (addressing 129 ๐) - JavaScript idle memory usage reduced by 10โ30% - Fixes v1.2.1 regression impacting `vite build` - Node compatibility fixes - Reliability improvements to Bun.SQL and Bun.S3Client Thanks to 12 contributors! bun.sh/blog/bun-v1....
Bun v.1.2.1 - Fixes 32 bugs - S3Client gets `storageClass` support - X25519 support in node:crypto - Node.js compatibility improvements for node:fs & node:child_process. fs.stat uses less memory. - Several memory leak fixes Thanks to 16 contributors! bun.sh/blog/bun-v1....
Bun v1.1.45 - Fixes 13 bugs (addressing 50 ๐) - X509Certificate, diffieHellman, getCipherInfo in 'crypto' - 82% of Node.js' "stream" tests pass (several remaining test Node internals) - Bugfixes to fs.mkdir and more Thanks to 5 contributors! bun.sh/blog/bun-v1....
Bun reposted
Wow, @bun.sh is adding a really useful set of features for its standard lib. I was able to write a s3 upload client with ZERO dependencies when running in bun!
This `bun-use-static` package is a small function that calls `reload` on the underlying Bun.serve() used by node:http This depends on `--experimental-html` flag to work in Bun v1.1.44 ``` bun --experimental-html <file> ``` github.com/jarred-sumne...
You can read more about HTML imports released in Bun v1.1.44 bun.sh/docs/bundler...
Bun v1.1.44 - Fixes 43 bugs - 90% of Node's tests for the `dns` module pass in Bun - Bundle & serve frontend apps in Bun.serve() - `bunx --no-install <pkg> [...]` - Bugfixes to Bun's S3 client, HTMLRewriter, node:fs and more Thanks to 21 contributors! bun.sh/blog/bun-v1....
Bun v1.1.43 - 1st-class S3 support - HTML bundler - V8 heap snapshots - All but 1 of Node.js' "zlib" tests pass - 100% of Node.js[ "path" module tests pass - Many reliability & Node.js compatibility improvements Thanks to 22 contributors! bun.sh/blog/bun-v1....
Bun v1.1.41 - Fixes 12 bugs (addressing 196 ๐) - JSDOM & happy-dom fixes - Customize the icon on Windows in single-file executables - bun install --omit=dev - `"use strict";` is now CommonJS - expect().toHaveBeenCalledOnce() Thanks to 6 contributors! bun.sh/blog/bun-v1....
Bun v1.1.40 - Fixes 14 bugs - Adds `install.saveTextLockfile` to bunfig.toml (on by default in Bun v1.2) - Fixes a regression in process.on - Fixes a napi issue impacting DuckDB - More reliable git dependencies in bun install Thanks to 4 contributors! bun.sh/blog/bun-v1....
Bun v1.1.39 - Fixes 61 bugs, addressing 99 ๐ - bun.lock โ bun's new text lockfile - 30% faster cached bun install - Lots of Node compatibility improvements - `bun build` Rust plugins - fetch() request body stream - more!! Thanks to 20 contributors bun.sh/blog/bun-v1....
Bun reposted
Wow, I am super enamored of @bun.sh's `--hot` flag for running my @benchristel/taste #Typescript tests! Sub-second reruns on every keystroke? This is the way to write code without bugs.
Bun reposted
I love the fact that with @bun.sh my moderately sized test suite runs in 300ms โก๐
Bun v1.1.37 - Fixes 62 bugs (addressing 109 ๐) - Realtime debuggerless error reporting in VSCode - Fixed memory leak in Prisma - Fixed shadcn & sv crash on Windows - Better CSS parser errors - Fixed regression from v1.1.35 Thanks to 14 contributors! bun.sh/blog/bun-v1....